libsigc++: sigc::retype_functor< T_functor, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7 > Struct Template Reference

libsigc++ 2.2.10

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions

# sigc::retype_functor< T_functor, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7 > Struct Template Reference
retype(), retype_return()

Adaptor that performs C-style casts on the parameters passed on to the functor. More...

`#include <sigc++/adaptors/retype.h>`

Inheritance diagram for sigc::retype_functor< T_functor, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7 >:
[legend]

List of all members.

## Public Types
typedef adapts< T_functor > ::adaptor_type | adaptor_type
typedef adapts< T_functor > ::result_type | result_type
## Public Member Functions
result_type | operator() ()
template <class T_arg1 >
deduce_result_type< T_arg1 >::type | operator() (T_arg1 _A_a1)
template <class T_arg1 , class T_arg2 >
deduce_result_type< T_arg1, T_arg2 >::type | operator() (T_arg1 _A_a1, T_arg2 _A_a2)
template <class T_arg1 , class T_arg2 , class T_arg3 >
deduce_result_type< T_arg1, T_arg2, T_arg3 >::type | operator() (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3)
template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 >
deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4 >::type | operator() (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4)
template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 >
deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5 > ::type | operator() (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4, T_arg5 _A_a5)
template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 >
deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6 >::type | operator() (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4, T_arg5 _A_a5, T_arg6 _A_a6)
template <class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 , class T_arg5 , class T_arg6 , class T_arg7 >
deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >::type | operator() (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4, T_arg5 _A_a5, T_arg6 _A_a6, T_arg7 _A_a7)
| retype_functor (typename type_trait< T_functor >::take _A_functor)
| Constructs a retype_functor object that performs C-style casts on the parameters passed on to the functor.

## Detailed Description

### template<class T_functor, class T_type1 = nil, class T_type2 = nil, class T_type3 = nil, class T_type4 = nil, class T_type5 = nil, class T_type6 = nil, class T_type7 = nil>
struct sigc::retype_functor< T_functor, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7 >

Adaptor that performs C-style casts on the parameters passed on to the functor.

Use the convenience function sigc::retype() to create an instance of retype_functor.

The following template arguments are used:

- T_functor Type of the functor to wrap.
- T_type1 Type of T_functor's 1th argument.
- T_type2 Type of T_functor's 2th argument.
- T_type3 Type of T_functor's 3th argument.
- T_type4 Type of T_functor's 4th argument.
- T_type5 Type of T_functor's 5th argument.
- T_type6 Type of T_functor's 6th argument.
- T_type7 Type of T_functor's 7th argument.

## Constructor & Destructor Documentation

template <class T_functor , class T_type1 = nil, class T_type2 = nil, class T_type3 = nil, class T_type4 = nil, class T_type5 = nil, class T_type6 = nil, class T_type7 = nil>

sigc::retype_functor< T_functor, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7 >::retype_functor | ( | typename type_trait< T_functor >::take | _A_functor | ) | `[inline, explicit]`

Constructs a retype_functor object that performs C-style casts on the parameters passed on to the functor.

Parameters:

  _A_functor | Functor to invoke from operator()().